---
lang: en
title: 'API docs: context.interceptionhandler._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptionhandler._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptionHandler](./context.interceptionhandler.md) &gt; [(constructor)](./context.interceptionhandler._constructor_.md)

## InterceptionHandler.(constructor)

Constructs a new instance of the `InterceptionHandler` class

**Signature:**

```typescript
constructor(context?: Context, session?: ResolutionSession | undefined, source?: InvocationSource<unknown> | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [Context](./context.context.md) | _(Optional)_ |
|  session | [ResolutionSession](./context.resolutionsession.md) \| undefined | _(Optional)_ |
|  source | [InvocationSource](./context.invocationsource.md)<!-- -->&lt;unknown&gt; \| undefined | _(Optional)_ |


